<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcHover Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcHover Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcHover" --><!-- doxytag: inherits="iBase" -->
<p>Hover stabiliser property class.  
 <a href="structiPcHover.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="hover_8h_source.html">propclass/hover.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcHover:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcHover.png" usemap="#iPcHover_map" alt=""/>
  <map id="iPcHover_map" name="iPcHover_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,65,24"/>
</map>
 </div></div>

<p><a href="structiPcHover-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#aa5e5f854391f2eee0f2b1ce5aa18b965">GetHeight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get's the last calculated height for object.  <a href="#aa5e5f854391f2eee0f2b1ce5aa18b965"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a3f5dcdb307535cc23b3c9bfae9e00e2d">HoverOff</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn hovering off, until HoverOn () is called.  <a href="#a3f5dcdb307535cc23b3c9bfae9e00e2d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a45d7c2bd27d938d23b4027aa3a37302b">HoverOn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn hovering on (on by default).  <a href="#a45d7c2bd27d938d23b4027aa3a37302b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a9559ae347564f967355dd996f5466304">SetAngularBeamOffset</a> (float abo)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The offsets to the sides of the objects, to test height to calculate angular orientation with respect to the ground.  <a href="#a9559ae347564f967355dd996f5466304"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a1b6dbf7f13686acaf93a70c5ed6df6a9">SetAngularCorrectionStrength</a> (float mul)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How strongly does the object align itself with the terrain? Higher values means that an object going down a hill will snap to the slope.  <a href="#a1b6dbf7f13686acaf93a70c5ed6df6a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a6d49050c492685cea9feb9251e5e6934">SetAngularCutoffHeight</a> (float ach)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Height at which to perform the angular correction.  <a href="#a6d49050c492685cea9feb9251e5e6934"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#acaed8f611d1a6513f12132fea469915f">SetFactors</a> (float p, float i, float d)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the various PID factors to affect hovering behaviour.  <a href="#acaed8f611d1a6513f12132fea469915f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a7d5d306b9ab8a705d86ccf91178a9c34">SetHeightBeamCutoff</a> (float chm)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The height for hit beams.  <a href="#a7d5d306b9ab8a705d86ccf91178a9c34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcHover.html#a2b0d3f33e3084d47aa01709212745adf">SetHoverHeight</a> (float height)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the height at which the object should hover.  <a href="#a2b0d3f33e3084d47aa01709212745adf"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Hover stabiliser property class. </p>

<p>Definition at line <a class="el" href="hover_8h_source.html#l00033">33</a> of file <a class="el" href="hover_8h_source.html">hover.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa5e5f854391f2eee0f2b1ce5aa18b965"></a><!-- doxytag: member="iPcHover::GetHeight" ref="aa5e5f854391f2eee0f2b1ce5aa18b965" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcHover.html#aa5e5f854391f2eee0f2b1ce5aa18b965">iPcHover::GetHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get's the last calculated height for object. </p>

</div>
</div>
<a class="anchor" id="a3f5dcdb307535cc23b3c9bfae9e00e2d"></a><!-- doxytag: member="iPcHover::HoverOff" ref="a3f5dcdb307535cc23b3c9bfae9e00e2d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a3f5dcdb307535cc23b3c9bfae9e00e2d">iPcHover::HoverOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn hovering off, until HoverOn () is called. </p>

</div>
</div>
<a class="anchor" id="a45d7c2bd27d938d23b4027aa3a37302b"></a><!-- doxytag: member="iPcHover::HoverOn" ref="a45d7c2bd27d938d23b4027aa3a37302b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a45d7c2bd27d938d23b4027aa3a37302b">iPcHover::HoverOn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Turn hovering on (on by default). </p>

</div>
</div>
<a class="anchor" id="a9559ae347564f967355dd996f5466304"></a><!-- doxytag: member="iPcHover::SetAngularBeamOffset" ref="a9559ae347564f967355dd996f5466304" args="(float abo)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a9559ae347564f967355dd996f5466304">iPcHover::SetAngularBeamOffset</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>abo</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The offsets to the sides of the objects, to test height to calculate angular orientation with respect to the ground. </p>
<p>Smaller is more accurate, but too small and the roll angles will differ in bigger steps (the height beams resolution won't be accurate enough) </p>

</div>
</div>
<a class="anchor" id="a1b6dbf7f13686acaf93a70c5ed6df6a9"></a><!-- doxytag: member="iPcHover::SetAngularCorrectionStrength" ref="a1b6dbf7f13686acaf93a70c5ed6df6a9" args="(float mul)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a1b6dbf7f13686acaf93a70c5ed6df6a9">iPcHover::SetAngularCorrectionStrength</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>mul</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How strongly does the object align itself with the terrain? Higher values means that an object going down a hill will snap to the slope. </p>
<p>Smaller values and it will slowly align </p>

</div>
</div>
<a class="anchor" id="a6d49050c492685cea9feb9251e5e6934"></a><!-- doxytag: member="iPcHover::SetAngularCutoffHeight" ref="a6d49050c492685cea9feb9251e5e6934" args="(float ach)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a6d49050c492685cea9feb9251e5e6934">iPcHover::SetAngularCutoffHeight</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ach</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Height at which to perform the angular correction. </p>

</div>
</div>
<a class="anchor" id="acaed8f611d1a6513f12132fea469915f"></a><!-- doxytag: member="iPcHover::SetFactors" ref="acaed8f611d1a6513f12132fea469915f" args="(float p, float i, float d)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#acaed8f611d1a6513f12132fea469915f">iPcHover::SetFactors</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the various PID factors to affect hovering behaviour. </p>

</div>
</div>
<a class="anchor" id="a7d5d306b9ab8a705d86ccf91178a9c34"></a><!-- doxytag: member="iPcHover::SetHeightBeamCutoff" ref="a7d5d306b9ab8a705d86ccf91178a9c34" args="(float chm)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a7d5d306b9ab8a705d86ccf91178a9c34">iPcHover::SetHeightBeamCutoff</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>chm</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The height for hit beams. </p>
<p>Above this height, all height tests return infinity </p>

</div>
</div>
<a class="anchor" id="a2b0d3f33e3084d47aa01709212745adf"></a><!-- doxytag: member="iPcHover::SetHoverHeight" ref="a2b0d3f33e3084d47aa01709212745adf" args="(float height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcHover.html#a2b0d3f33e3084d47aa01709212745adf">iPcHover::SetHoverHeight</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the height at which the object should hover. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="hover_8h_source.html">hover.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
